Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence
Interface OpenJPAEntityTransaction

All Superinterfaces:
  EntityTransaction

All Known Implementing Classes:
  EntityManagerImpl

    public interface OpenJPAEntityTransaction

extends EntityTransaction

Extension of the JPA `EntityTransaction` interface.

Since:
  1.0.0

Method Summary
`void` | `commitAndResume()` Issue a commit and then start a new transaction.
`Throwable` | `getRollbackCause()` Returns the Throwable that caused the transaction to be marked for rollback.
`void` | `rollbackAndResume()` Issue a rollback and then start a new transaction.
`void` | `setRollbackOnly(Throwable cause)` Mark the current transaction for rollback with the specified cause of the rollback.

Methods inherited from interface javax.persistence.EntityTransaction
`begin, commit, getRollbackOnly, isActive, rollback, setRollbackOnly`

Method Detail

### commitAndResume

    void commitAndResume()

  Issue a commit and then start a new transaction. This is identical to:

       manager.commit (); manager.begin ();

  except that the entity manager's internal atomic lock is utilized, so this method can be safely executed from multiple threads.

  See Also:
    `EntityTransaction.commit()`, `EntityTransaction.begin()`

### rollbackAndResume

    void rollbackAndResume()

  Issue a rollback and then start a new transaction. This is identical to:

       manager.rollback (); manager.begin ();

  except that the entity manager's internal atomic lock is utilized, so this method can be safely executed from multiple threads.

  See Also:
    `EntityTransaction.rollback()`, `EntityTransaction.begin()`

### setRollbackOnly

    void setRollbackOnly(Throwable cause)

  Mark the current transaction for rollback with the specified cause of the rollback.

  Since:
    0.9.7

### getRollbackCause

    Throwable getRollbackCause()

  Returns the Throwable that caused the transaction to be marked for rollback.

  Returns:
    the Throwable, or null if none was given
  Since:
    0.9.7

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.